libzypp: zypp::OnMediaLocation::Impl Class Reference

libzypp 17.38.5

zypp::OnMediaLocation::Impl Class Reference

OnMediaLocation implementation. More...

## Public Member Functions
| Impl ()
| Impl (Pathname filename_r, unsigned medianr_r)

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Public Attributes
Pathname | _filename
unsigned | _medianr = 0U
bool | _optional = false
ByteCount | _downloadSize
CheckSum | _checksum
ByteCount | _openSize
CheckSum | _openChecksum
ByteCount | _headerSize
CheckSum | _headerChecksum
Pathname | _deltafile
bool | _mirrorsAllowed = true

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const OnMediaLocation::Impl &obj)
| Stream output.
std::ostream & | dumpOn (std::ostream &str, const OnMediaLocation::Impl &obj)
| Verbose stream output.

## Detailed Description

OnMediaLocation implementation.

Definition at line 27 of file onmedialocation.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::OnMediaLocation::Impl::Impl | ( |  | ) |
| inline

Definition at line 30 of file onmedialocation.cc.

## ◆ Impl() [2/2]

zypp::OnMediaLocation::Impl::Impl | ( | Pathname | filename_r,
|  | unsigned | medianr_r )
| inline

Definition at line 33 of file onmedialocation.cc.

## Member Function Documentation

## ◆ nullimpl()

shared_ptr< Impl > zypp::OnMediaLocation::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 58 of file onmedialocation.cc.

## ◆ clone()

Impl * zypp::OnMediaLocation::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 63 of file onmedialocation.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const OnMediaLocation::Impl & | obj )
| related

Stream output.

Definition at line 67 of file onmedialocation.cc.

## ◆ dumpOn()

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const OnMediaLocation::Impl & | obj )
| related

Verbose stream output.

Definition at line 71 of file onmedialocation.cc.

## Member Data Documentation

## ◆ _filename

Pathname zypp::OnMediaLocation::Impl::_filename

Definition at line 38 of file onmedialocation.cc.

## ◆ _medianr

unsigned zypp::OnMediaLocation::Impl::_medianr = 0U

Definition at line 39 of file onmedialocation.cc.

## ◆ _optional

bool zypp::OnMediaLocation::Impl::_optional = false

Definition at line 41 of file onmedialocation.cc.

## ◆ _downloadSize

ByteCount zypp::OnMediaLocation::Impl::_downloadSize

Definition at line 43 of file onmedialocation.cc.

## ◆ _checksum

CheckSum zypp::OnMediaLocation::Impl::_checksum

Definition at line 44 of file onmedialocation.cc.

## ◆ _openSize

ByteCount zypp::OnMediaLocation::Impl::_openSize

Definition at line 46 of file onmedialocation.cc.

## ◆ _openChecksum

CheckSum zypp::OnMediaLocation::Impl::_openChecksum

Definition at line 47 of file onmedialocation.cc.

## ◆ _headerSize

ByteCount zypp::OnMediaLocation::Impl::_headerSize

Definition at line 49 of file onmedialocation.cc.

## ◆ _headerChecksum

CheckSum zypp::OnMediaLocation::Impl::_headerChecksum

Definition at line 50 of file onmedialocation.cc.

## ◆ _deltafile

Pathname zypp::OnMediaLocation::Impl::_deltafile

Definition at line 52 of file onmedialocation.cc.

## ◆ _mirrorsAllowed

bool zypp::OnMediaLocation::Impl::_mirrorsAllowed = true

Definition at line 54 of file onmedialocation.cc.

The documentation for this class was generated from the following file:

- zypp-core/onmedialocation.cc